Bug 116833 - Unticking "Save preview image with this document" before resetting properties will make modified date appear after save & reload
Summary: Unticking "Save preview image with this document" before resetting properties...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: File-Properties Privacy
  Show dependency treegraph
 
Reported: 2018-04-05 18:34 UTC by ga3893hnd
Modified: 2019-04-16 02:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of properties dialog after reproducing (save & reload) (9.24 KB, image/png)
2018-04-12 12:35 UTC, Buovjaga
Details
Sample .doc, where even the creator name comes back to haunt (55.50 KB, application/msword)
2018-04-15 14:21 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ga3893hnd 2018-04-05 18:34:52 UTC
When using the "reset properties" button (File -> Properties) to remove metadata from a document, the data disappears only until the document is reopened and the information is not really removed.

This includes e.g. the creation date the modify date and the username of the creator.

Please consider that leaking such data can be a critical privacy issue for certain people and in certain countries. This is especially true if libreoffice appear to have deleted such information when it did not.

This bug can be reproduced with any libreoffice document.

To reproduce, create a document save it, take a look at e.g. the creation date and author, reset properties, save the document, close and reopen libreoffice and look at the properties again.
Comment 1 Thomas Lendo 2018-04-07 20:11:04 UTC
Thanks for your report.
I can't reproduce your issue with 6.1 and 5.1.

Maybe your problem is that the checkbox "Apply user data" is still activated after resetting the properties? (It's placed on the left-hand of the resetting properties button.) If this is true, then your user data will be saved AGAIN when saving the beforehand resetted file.
Comment 2 ga3893hnd 2018-04-08 15:48:03 UTC
Found what causes the bug:


When resetting the properties, I also unchecked "Save preview image with this document". When this box is not checked the metadata is not cleared for some reason.

As long as the "Save preview Image" button is checked, the metadata is cleared.

Still unexpected behavior I'd say

PS: There is a 6.1 Version somewhere?
Comment 3 Thomas Lendo 2018-04-08 19:24:06 UTC
Weird. The first test after your comment 2 with LO 6.1 results in what you described. The meta data was not removed respectively was restored after reopening. But my following tests after that don't show this behavior. Neither with 6.1 nor with 6.0.1.

But I found another bug:
Deactivating "Save preview image with this document" works only until saving the file. After reopening the checkmark is restored. And I can see the file preview in the start center. This option has no effect.

@Buovjaga:
Can you please try to reproduce the bug opener's or my or both issues?

It's a privacy issue, so if one or more bugs are reproduced, I would set importance to 'major'.
Comment 4 raal 2018-04-09 12:50:47 UTC
(In reply to Thomas Lendo from comment #3)

> But I found another bug:
> Deactivating "Save preview image with this document" works only until saving
> the file. After reopening the checkmark is restored. And I can see the file
> preview in the start center. This option has no effect.
> 
I can confirm with LO 6.1
Comment 5 raal 2018-04-09 12:56:38 UTC
(In reply to raal from comment #4)
> (In reply to Thomas Lendo from comment #3)
> 
> > But I found another bug:
> > Deactivating "Save preview image with this document" works only until saving
> > the file. After reopening the checkmark is restored. And I can see the file
> > preview in the start center. This option has no effect.
> > 
> I can confirm with LO 6.1

Duplicate of bug 107230
Comment 6 raal 2018-04-09 12:57:31 UTC

*** This bug has been marked as a duplicate of bug 107230 ***
Comment 7 Thomas Lendo 2018-04-09 19:55:53 UTC
real, thanks for pointing out the thumbnail bug. But what's with the bug of the bug opener? Can someone reproduce that?
Comment 8 Buovjaga 2018-04-10 07:01:10 UTC
(In reply to ga3893hnd from comment #2)
> When resetting the properties, I also unchecked "Save preview image with
> this document". When this box is not checked the metadata is not cleared for
> some reason.

I cannot reproduce this. The user name is cleared. Or do you feel the dates should also be cleared?

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: d4c0e7ef2b7f7e3cb36996bad72ac255b630beb4
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 8th 2018
Comment 9 ga3893hnd 2018-04-11 18:50:48 UTC
The dates are reset when the "reset properties" button is pressed but they are not really changed after the document is reopened. Therefore this should change as well.

I have retested this using your system archlinux with the same libreoffice version) and I can still reproduce the bug.
Comment 10 ga3893hnd 2018-04-11 18:57:00 UTC
Tested with Ubuntu 17.10 as well and the bug still exists.
(Regarding the date, since the creator name is not saved by default it seems)
Comment 11 ga3893hnd 2018-04-12 12:25:57 UTC
Thumbnail bug is resolved, the original bug of this report is still open
Comment 12 Buovjaga 2018-04-12 12:35:55 UTC
Created attachment 141307 [details]
Screenshot of properties dialog after reproducing (save & reload)

Yep, let's clarify this to be about the modified date.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: e65918b837b6c84604413d0de3cfaedaf8a53913
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 11th 2018
Comment 13 Buovjaga 2018-04-12 12:42:05 UTC
The "Save preview" checkbox is not an old feature (not in 3.6), so I will assume the problematic behaviour was introduced with it.
Comment 14 ga3893hnd 2018-04-14 17:53:13 UTC
Here is a sample document (original doc file) with a name to confirm that the bug affects the creator name as well.

https://files.fm/u/g2ffb6r7
Comment 15 Buovjaga 2018-04-15 14:21:43 UTC
Created attachment 141381 [details]
Sample .doc, where even the creator name comes back to haunt

Yep, in the .doc it is even worse
Comment 16 QA Administrators 2019-04-16 02:53:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug